Subject: Re: [X2Go-Dev] Turn xinerama.conf file related code inside X2Go Client into legacy code (for NX agents << 3.6)

From: Mihai Moldovan <[email-masked]>
Date: Wed, 13 Jul 2016 06:06:16 +0200

Now that Xinerama functionality has been reimplemented in nx-libs 3.6.x, we
shall add an option to X2Go Client session configs to *disable* Xinerama.

XINERAMA is now enabled by default. We want to keep that default and not enable
this option by default in X2Go Client. This is different from the old behavior,
which defaulted to XINERAMA being off and thus had to be explicitly enabled.

Code that created and periodically updated the xinerama.conf file shall be kept
for legacy versions of nx-libs, but is not necessary with nx-libs 3.6.x anymore.

See #873 for how XINERAMA can be disabled.

Mihai